Package org.lwjgl.opengl

# Class EXTVertexAttrib64bit

java.lang.Object
org.lwjgl.opengl.EXTVertexAttrib64bit

public final class EXTVertexAttrib64bit extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DOUBLE_MAT2_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT2x3_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT2x4_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT3_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT3x2_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT3x4_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT4_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT4x2_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT4x3_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_VEC2_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_VEC3_EXT`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_VEC4_EXT`
Returned in the <type> parameter of GetActiveAttrib:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetVertexAttribLEXT(int index, int pname, DoubleBuffer params)`
`static void`
`glVertexArrayVertexAttribLOffsetEXT(int vaobj, int buffer, int index, int size, int type, int stride, long offset)`
`static void`
`glVertexAttribL1dEXT(int index, double x)`
`static void`
`glVertexAttribL1EXT(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL2dEXT(int index, double x, double y)`
`static void`
`glVertexAttribL2EXT(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL3dEXT(int index, double x, double y, double z)`
`static void`
`glVertexAttribL3EXT(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL4dEXT(int index, double x, double y, double z, double w)`
`static void`
`glVertexAttribL4EXT(int index, DoubleBuffer v)`
`static void`
`glVertexAttribLPointerEXT(int index, int size, int stride, long pointer_buffer_offset)`
`static void`
`glVertexAttribLPointerEXT(int index, int size, int stride, DoubleBuffer pointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DOUBLE_VEC2_EXT

public static final int GL_DOUBLE_VEC2_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_VEC3_EXT

public static final int GL_DOUBLE_VEC3_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_VEC4_EXT

public static final int GL_DOUBLE_VEC4_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2_EXT

public static final int GL_DOUBLE_MAT2_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3_EXT

public static final int GL_DOUBLE_MAT3_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4_EXT

public static final int GL_DOUBLE_MAT4_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2x3_EXT

public static final int GL_DOUBLE_MAT2x3_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2x4_EXT

public static final int GL_DOUBLE_MAT2x4_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3x2_EXT

public static final int GL_DOUBLE_MAT3x2_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3x4_EXT

public static final int GL_DOUBLE_MAT3x4_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4x2_EXT

public static final int GL_DOUBLE_MAT4x2_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4x3_EXT

public static final int GL_DOUBLE_MAT4x3_EXT
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

## Method Details

### glVertexAttribL1dEXT

public static void glVertexAttribL1dEXT(int index, double x)

### glVertexAttribL2dEXT

public static void glVertexAttribL2dEXT(int index, double x, double y)

### glVertexAttribL3dEXT

public static void glVertexAttribL3dEXT(int index, double x, double y, double z)

### glVertexAttribL4dEXT

public static void glVertexAttribL4dEXT(int index, double x, double y, double z, double w)

### glVertexAttribL1EXT

public static void glVertexAttribL1EXT(int index, DoubleBuffer v)

### glVertexAttribL2EXT

public static void glVertexAttribL2EXT(int index, DoubleBuffer v)

### glVertexAttribL3EXT

public static void glVertexAttribL3EXT(int index, DoubleBuffer v)

### glVertexAttribL4EXT

public static void glVertexAttribL4EXT(int index, DoubleBuffer v)

### glVertexAttribLPointerEXT

public static void glVertexAttribLPointerEXT(int index, int size, int stride, DoubleBuffer pointer)

### glVertexAttribLPointerEXT

public static void glVertexAttribLPointerEXT(int index, int size, int stride, long pointer_buffer_offset)

### glGetVertexAttribLEXT

public static void glGetVertexAttribLEXT(int index, int pname, DoubleBuffer params)

### glVertexArrayVertexAttribLOffsetEXT

public static void glVertexArrayVertexAttribLOffsetEXT(int vaobj, int buffer, int index, int size, int type, int stride, long offset)